
class game
{
public:
	game();
	// Definitions
	#define MainMenu 0
	#define LevelPackSelect 1
	#define LevelSelect 2
	#define InGame 3
	#define GameOver 4
	#define GameWin 5

	// Variables
	int gameState;// 0-MainMenu, 1-InGame,
	int levelPackSelected;// The level pack selected
	int levelSelected;// The individual level (image) selected, to play and display medium preview
	bool crossSet;
	bool glowSet;
	bool isPaused;// Is game currently paused
	bool tapGlowing;// glowing on user tap
	bool isTextAnimating;// to see if animations run pause win lose etc
	int textAnimCount;//
	int glowCount;// count for tap glow
	int timerSecondCount;// count for accurate seconds
	bool isCross;// is criss crossing!
	int crossDelay;// display cross for 2 secs
	bool targetFound[6];// how many of 6 targets found
	int tickBoxesFound;// 0-6 ticked or unticked
	int inGameTimer;// Time per round
	int countLevelComplete;// to display on bars
	bool randomizeLevels;// is levels randomized, yes if level pack 5 selected
	
	char inGameTimerBuff[255];// Display ingame time
	char countLevelBuff[255];// countLevel
	char levelPackSelectedBuff[255];
	char levelSelectedBuff[255];
	char buff1[255];
	char buff2[255];

	int imageTargetx[6];// 6 touch targets to tap in a radius around
	int imageTargety[6];

	int globalTouchx;
	int globalTouchy;
	// Flags
	bool viewsHidden;
	bool flag_menuButton1; int run_menuButton1;
	bool flag_menuButton2; int run_menuButton2;
	bool flag_gameExitButton; int run_gameExitButton;
	bool flag_lpSelect1; int run_lpSelect1;
	bool flag_lpSelect2; int run_lpSelect2;
	bool flag_lpSelect3; int run_lpSelect3;
	bool flag_lpSelect4; int run_lpSelect4;
	bool flag_lpSelect5; int run_lpSelect5;

	// Functions
	void initialization();// Initialization
	void reset();// Reset game variables

	// Main Menu
	void mainMenu();
	void mainMenuGui();
	void mainMenuText();

	//Level Pack Select
	void levelPackSelect();
	void levelPackSelectGui();
	void levelPackSelectText();
	int countLevelsComplete(bool matchMode, int levelPack);// is match or spot mode, and lvl pack, return number of levels complete

	//Level Select
	void levelSelect();
	void levelSelectGui();
	void levelSelectText();

	//In Game
	void inGame();
	void inGameGui();
	void inGameText();
	void generateDifferenceCoords(int levelPack);
	void paused();
	void gameOver();
	void gameWin();

	void pack1Targets();
	void pack2Targets();
	void pack3Targets();
	void pack4Targets();
	void pack5Targets();

	void options();
	
	void control();
	
};
game stdGame;
int touchArea(int id, int event, int x, int y);// Touch Controls


//***************************************************************************************************************************
//**************************************************** GAME CLASS ***********************************************************
//***************************************************************************************************************************
game::game()
{
	flag_menuButton1 = 0;
	flag_menuButton2 = 0;
	flag_gameExitButton = 0;
	run_menuButton1 = 0;
	run_menuButton2 = 0;
	run_gameExitButton = 0;
}
void game::initialization()
{
	viewsHidden = false;
	LandscapeMode();
	stdGui.addImages();
	stdGui.addViews();
	addText();
	stdGui.hideAllViews();
	hideAllText();
	inGameTimer = 60;
	textAnimCount = 0;
	gameState = MainMenu;
	randomizeLevels = false;
	/*flag_lpSelect1 = 0;
	run_lpSelect1 = 0;*/
	
}
void game::reset()
{
	//for(int i = 0; i<6; i++)
			//ViewSetxy(stdGui.view_bar[i],-635,ViewGety(stdGui.view_bar[i]));
	run_gameExitButton = 0;
	flag_gameExitButton = 0;
	run_lpSelect1 = 0;
	flag_lpSelect1 = 0;
	run_lpSelect2 = 0;
	flag_lpSelect2 = 0;
	run_lpSelect3 = 0;
	flag_lpSelect3 = 0;
	run_lpSelect4 = 0;
	flag_lpSelect4 = 0;
	run_lpSelect5 = 0;
	flag_lpSelect5 = 0;
	for(int i = 0; i<6; i++)
		targetFound[i] = false;
	tickBoxesFound = 0;
}
void game::control()	
{ 
	TouchAdd(0,0, 480, 320, touchArea, 0); 
}

// Game States
void game::mainMenuGui()
{
	if(!viewsHidden){
	stdGui.hideAllViews();
		viewsHidden = true;
		//AdBannerSetLocation(1);
		//AdBannerSetVisible(1);
		hideAllText();
	}
	ViewSetxy(stdGui.view_Background,0,0);
	ViewSetxy(stdGui.view_Button1,130,0);
	//ViewSetxy(stdGui.view_Button2,0,0);

	ViewSetImage(stdGui.view_Background,stdGui.img_MenuScreen);
	ViewSetImage(stdGui.view_Button1,stdGui.img_MenuPlay[0]);
	//ViewSetImage(stdGui.view_Button2,stdGui.img_MenuOptions[0]);

	ViewSetVisible(stdGui.view_Background,1);
	ViewSetVisible(stdGui.view_Button1,1);
	//ViewSetVisible(stdGui.view_Button2,1);
}
void game::mainMenuText()
{

}
void game::mainMenu()
{
	mainMenuGui();
	if(flag_menuButton1 == 1)
	{
		ViewSetImage(stdGui.view_Button1,stdGui.img_MenuPlay[1]);
		run_menuButton1 = 1;
	}
	else if(flag_menuButton1 == 0)
	{
		ViewSetImage(stdGui.view_Button1,stdGui.img_MenuPlay[0]);
		if(run_menuButton1 == 1)
			run_menuButton1 = 2;
	}
	if(run_menuButton1 == 2)
	{
		run_menuButton1 = 0;
		reset();
		viewsHidden = false;
		gameState = LevelPackSelect;
	}
}
void game::levelPackSelectGui()
{
	if(!viewsHidden){
	stdGui.hideAllViews();
		viewsHidden = true;
		//AdBannerSetLocation(1);
		AdBannerSetVisible(0);
	}
	ViewSetxy(stdGui.view_Background,0,0);
	ViewSetxy(stdGui.view_Button1,0,5);
	//ViewSetxy(stdGui.view_Button2,300,240);
	for(int i = 0; i<6; i++)
	{
		//if(gdGlobal.isLevelPackPurchased[i] == true)
			ViewSetImage(stdGui.view_bar[i],stdGui.img_levelSelectBar[i]);
		//else
		//	ViewSetImage(stdGui.view_bar[i],stdGui.img_levelSelectBarLocked[i]);// LOCKED ON DEMO

		ViewSetxy(stdGui.view_bar[i],0,ViewGety(stdGui.view_bar[i]));
		ViewSetVisible(stdGui.view_bar[i],1);
	}

	ViewSetImage(stdGui.view_Background,stdGui.img_levelSelectPackBackground);
	ViewSetImage(stdGui.view_Button1,stdGui.img_levelSelectPackBack[0]);
	//ViewSetImage(stdGui.view_Button2,stdGui.img_MenuOptions[0]);

	ViewSetVisible(stdGui.view_Background,1);
	ViewSetVisible(stdGui.view_Button1,1);
	//ViewSetVisible(stdGui.view_Button2,1);
}
void game::levelPackSelectText()
{
	hideAllText();
		//if(gdDefault.isLevelPackPurchased[i] == true)// IF DEMO OR FULL SHOW LOCKED/AVAILABLE
	for(int i=0;i<4;i++)
		TextSetVisible(i+1,1);

	TextSetVisible(1,1);
	
	TextSetxy(1, 410,60);
	TextSetxy(2, 410,60+47);
	TextSetxy(3, 410,60+47+47);
	TextSetxy(4, 410,60+47+47+47);
	//TextSetxy(5, 410,60+47+47+47+47);

	countLevelComplete = countLevelsComplete(false, 0);
	sprintf(countLevelBuff, "%d/20 ", countLevelComplete);// pack 1 score
	TextSetText(1, countLevelBuff);

	countLevelComplete = countLevelsComplete(false, 1);
	sprintf(inGameTimerBuff, "%d/20 ", countLevelComplete);// pack 2 score
	TextSetText(2, inGameTimerBuff);

	countLevelComplete = countLevelsComplete(false, 2);
	sprintf(inGameTimerBuff, "%d/20 ", countLevelComplete);// pack 3 score
	TextSetText(3, inGameTimerBuff);

	countLevelComplete = countLevelsComplete(false, 3);
	sprintf(inGameTimerBuff, "%d/20 ", countLevelComplete);// pack 4 score
	TextSetText(4, inGameTimerBuff);

	//countLevelComplete = countLevelsComplete(false, 4);
	//sprintf(inGameTimerBuff, "%d/20 ", countLevelComplete);// pack 5 score
	//TextSetText(5, inGameTimerBuff);
}
void game::levelPackSelect()
{
	randomizeLevels = false;
	hideAllText();
	levelPackSelectGui();
	levelPackSelectText();
	// ************************************************************************level select 1
	if(flag_lpSelect1 == 1)
	{
		ViewSetxy(stdGui.view_barGlow,0,48);// set glow bar depress
		ViewSetVisible(stdGui.view_barGlow,1);
		run_lpSelect1 = 1;
		
	}
	if(run_lpSelect1 == 1 && flag_lpSelect1 == 0)
	{
		reset();
		levelPackSelected = 1;
		levelSelected = 1;
		viewsHidden = false;
		gameState = LevelSelect;
	}
	// ************************************************************************level select 2
	if(flag_lpSelect2 == 1)
	{
		ViewSetxy(stdGui.view_barGlow,0,48+47);// set glow bar depress
		ViewSetVisible(stdGui.view_barGlow,1);
		run_lpSelect2 = 1;
		
	}
	if(run_lpSelect2 == 1 && flag_lpSelect2 == 0)
	{
		reset();
		levelPackSelected = 2;
		levelSelected = 1;
		viewsHidden = false;
		gameState = LevelSelect;
	}
	// ************************************************************************level select 3
	if(flag_lpSelect3 == 1)
	{
		ViewSetxy(stdGui.view_barGlow,0,48+47+47);// set glow bar depress
		ViewSetVisible(stdGui.view_barGlow,1);
		run_lpSelect3 = 1;
		
	}
	if(run_lpSelect3 == 1 && flag_lpSelect3 == 0)
	{
		reset();
		levelPackSelected = 3;
		levelSelected = 1;
		viewsHidden = false;
		gameState = LevelSelect;
	}
	// ************************************************************************level select 4
	if(flag_lpSelect4 == 1)
	{
		ViewSetxy(stdGui.view_barGlow,0,48+47+47+47);// set glow bar depress
		ViewSetVisible(stdGui.view_barGlow,1);
		run_lpSelect4 = 1;
		
	}
	if(run_lpSelect4 == 1 && flag_lpSelect4 == 0)
	{
		reset();
		levelPackSelected = 4;
		levelSelected = 1;
		viewsHidden = false;
		gameState = LevelSelect;
	}
	// ************************************************************************level select 5
	if(flag_lpSelect5 == 1)
	{
		ViewSetxy(stdGui.view_barGlow,0,48+47+47+47+47);// set glow bar depress
		ViewSetVisible(stdGui.view_barGlow,1);
		run_lpSelect5 = 1;
		
	}
	if(run_lpSelect5 == 1 && flag_lpSelect5 == 0)
	{
		reset();
		levelPackSelected = 5;
		levelSelected = 1;
		viewsHidden = false;
		gameState = LevelSelect;
		randomizeLevels = true;
	}

	if(flag_gameExitButton == 1)// exit button
	{
		ViewSetImage(stdGui.view_Button1,stdGui.img_levelSelectPackBack[1]);
		run_gameExitButton = 1;
	}
	else if(flag_gameExitButton == 0)
	{
		ViewSetImage(stdGui.view_Button1,stdGui.img_levelSelectPackBack[0]);
		if(run_gameExitButton == 1)
			run_gameExitButton = 2;
	}
	if(run_gameExitButton == 2)
	{
		run_gameExitButton = 0;
		reset();
		viewsHidden = false;
		gameState = MainMenu;
	}
}




int game::countLevelsComplete(bool matchMode, int levelPack)
{
	int levelCompleteCount = 0;
	
	if(matchMode == false)// if its spot
	{
		for(int a=0;a<20;a++)
		{
			if(gdGlobal.levelCompleteSpot[levelPack][a] == true)
			levelCompleteCount +=1;
			
		}
	}

	return levelCompleteCount;
}
void game::levelSelectGui()
{
	if(!viewsHidden){
	stdGui.hideAllViews();
		viewsHidden = true;
		//AdBannerSetLocation(0);
		AdBannerSetVisible(0);
	}
	ViewSetxy(stdGui.view_Background,0,0);
	ViewSetxy(stdGui.view_Button1,0,5);
	ViewSetxy(stdGui.view_Button2,0,0);
	ViewSetxy(stdGui.view_smallHilight,ViewGetx(stdGui.view_smallPreview[levelSelected-1]),ViewGety(stdGui.view_smallPreview[levelSelected-1]));

	
	ViewSetImage(stdGui.view_Background,stdGui.img_levelSelectBackground);
	ViewSetImage(stdGui.view_Button1,stdGui.img_levelSelectPackBack[0]);

	
	/*if(levelPackSelected != 1)
		ViewSetImage(stdGui.view_Button2,stdGui.img_NoPlay);
	else*/
		ViewSetImage(stdGui.view_Button2,stdGui.img_levelSelectPlay[0]);

	ViewSetVisible(stdGui.view_Background,1);
	ViewSetVisible(stdGui.view_Button1,1);
	ViewSetVisible(stdGui.view_Button2,1);
	ViewSetVisible(stdGui.view_mediumPreview,1);
	ViewSetVisible(stdGui.view_smallHilight,1);
	

	for(int i = 0; i<20; i++)
		ViewSetVisible(stdGui.view_smallPreview[i],1);

	if(randomizeLevels == false)
	{
		for(int i = 0; i<20; i++)
		{
			if(gdGlobal.levelCompleteSpot[levelPackSelected-1][i] == true)
				ViewSetVisible(stdGui.view_smallTick[i],1);
			else
				ViewSetVisible(stdGui.view_smallTick[i],0);
		}
	}
		
	ViewSetVisible(stdGui.view_packTitle,1);

	if(randomizeLevels == true)// If level pack 5 selected if randomized
	{
		for(int i = 0; i<20; i++)
		{
			ViewSetImage(stdGui.view_smallPreview[i],stdGui.img_pack5Small[i]);
		}
		ViewSetImage(stdGui.view_mediumPreview,stdGui.img_pack5Med[levelSelected-1]);
		ViewSetImage(stdGui.view_packTitle,stdGui.img_packTitle[4]);
	}
	else if(levelPackSelected == 1)// If level pack 1 selected
	{
		for(int i = 0; i<20; i++)
		{
			ViewSetImage(stdGui.view_smallPreview[i],stdGui.img_pack1Small[i]);
		}
		ViewSetImage(stdGui.view_mediumPreview,stdGui.img_pack1Med[levelSelected-1]);
		ViewSetImage(stdGui.view_packTitle,stdGui.img_packTitle[0]);
	}
	else if(levelPackSelected == 2)// If level pack 2 selected
	{
		
		for(int i = 0; i<20; i++)
		{
			ViewSetImage(stdGui.view_smallPreview[i],stdGui.img_pack2Small[i]);
		}
		ViewSetImage(stdGui.view_mediumPreview,stdGui.img_pack2Med[levelSelected-1]);
		ViewSetImage(stdGui.view_packTitle,stdGui.img_packTitle[1]);
	}
	else if(levelPackSelected == 3)// If level pack 3 selected
	{
		for(int i = 0; i<20; i++)
		{
			ViewSetImage(stdGui.view_smallPreview[i],stdGui.img_pack3Small[i]);
		}
		ViewSetImage(stdGui.view_mediumPreview,stdGui.img_pack3Med[levelSelected-1]);
		ViewSetImage(stdGui.view_packTitle,stdGui.img_packTitle[2]);
	}
	else if(levelPackSelected == 4)// If level pack 4 selected
	{
		for(int i = 0; i<20; i++)
		{
			ViewSetImage(stdGui.view_smallPreview[i],stdGui.img_pack4Small[i]);
		}
		ViewSetImage(stdGui.view_mediumPreview,stdGui.img_pack4Med[levelSelected-1]);
		ViewSetImage(stdGui.view_packTitle,stdGui.img_packTitle[3]);
	}
	
}
void game::levelSelectText()
{
	//TextSetVisible(1,1);
	//TextSetVisible(2,1);
	//sprintf(levelPackSelectedBuff, "%d ", levelPackSelected);// target score for end screen
	//sprintf(levelSelectedBuff, "%d ", levelSelected);// target score for end screen
	//TextSetText(1, levelPackSelectedBuff);
	//TextSetText(2, levelSelectedBuff);
}
void game::levelSelect()
{
	hideAllText();
	levelSelectGui();
	levelSelectText();

	
		if(flag_menuButton1 == 1)//*************************** Play
		{
			ViewSetImage(stdGui.view_Button2,stdGui.img_levelSelectPlay[1]);
			run_menuButton1 = 1;
		}
		else if(flag_menuButton1 == 0)
		{
			ViewSetImage(stdGui.view_Button2,stdGui.img_levelSelectPlay[0]);
			if(run_menuButton1 == 1)
				run_menuButton1 = 2;
		}
		if(run_menuButton1 == 2)
		{
			run_menuButton1 = 0;
			reset();
			inGameTimer = 60;
			viewsHidden = false;

			if(randomizeLevels == true)
			{
				levelPackSelected = Random(3)+1;
				levelSelected = Random(19)+1;
			}

			gameState = InGame;
		}
	
	if(flag_gameExitButton == 1)//*************************** Exit
	{
		ViewSetImage(stdGui.view_Button1,stdGui.img_levelSelectPackBack[1]);
		run_gameExitButton = 1;
	}
	else if(flag_gameExitButton == 0)
	{
		ViewSetImage(stdGui.view_Button1,stdGui.img_levelSelectPackBack[0]);
		if(run_gameExitButton == 1)
			run_gameExitButton = 2;
	}
	if(run_gameExitButton == 2)
	{
		run_gameExitButton = 0;
		reset();
		viewsHidden = false;
		gameState = LevelPackSelect;
	}
}
void game::inGameGui()
{
	if(!viewsHidden){
	stdGui.hideAllViews();
	

	if(levelPackSelected == 1)
	{
		ViewSetImage(stdGui.view_inGamePicture[0],stdGui.img_pack1Large[levelSelected-1]);
		ViewSetImage(stdGui.view_inGamePicture[1],stdGui.img_pack1Largeb[levelSelected-1]);
	}
	else if(levelPackSelected == 2)
	{
		ViewSetImage(stdGui.view_inGamePicture[0],stdGui.img_pack2Large[levelSelected-1]);
		ViewSetImage(stdGui.view_inGamePicture[1],stdGui.img_pack2Largeb[levelSelected-1]);
	}
	else if(levelPackSelected == 3)
	{
		ViewSetImage(stdGui.view_inGamePicture[0],stdGui.img_pack3Large[levelSelected-1]);
		ViewSetImage(stdGui.view_inGamePicture[1],stdGui.img_pack3Largeb[levelSelected-1]);
	}
	else if(levelPackSelected == 4)
	{
		ViewSetImage(stdGui.view_inGamePicture[0],stdGui.img_pack4Large[levelSelected-1]);
		ViewSetImage(stdGui.view_inGamePicture[1],stdGui.img_pack4Largeb[levelSelected-1]);
	}

	ViewSetVisible(stdGui.view_inGameGuiBar,1);
	ViewSetVisible(stdGui.view_inGameTickBoxes,1);
	ViewSetVisible(stdGui.view_inGamePicture[0],1);
	ViewSetVisible(stdGui.view_inGamePicture[1],1);
	ViewSetVisible(stdGui.view_pauseButton,1);
	ViewSetVisible(stdGui.view_findButton,1);
	ViewSetVisible(stdGui.view_findCount,1);


	ViewSetxy(stdGui.view_inGameTick[0],imageTargetx[0]-15,imageTargety[0]-17);
	ViewSetxy(stdGui.view_inGameTick[1],imageTargetx[1]-15,imageTargety[1]-17);
	ViewSetxy(stdGui.view_inGameTick[2],imageTargetx[2]-15,imageTargety[2]-17);
	ViewSetxy(stdGui.view_inGameTick[3],imageTargetx[3]-15,imageTargety[3]-17);
	ViewSetxy(stdGui.view_inGameTick[4],imageTargetx[4]-15,imageTargety[4]-17);
	ViewSetxy(stdGui.view_inGameTick[5],imageTargetx[5]-15,imageTargety[5]-17);

	ViewSetxy(stdGui.view_inGameTickLeft[0],imageTargetx[0]-15-241,imageTargety[0]-17);
	ViewSetxy(stdGui.view_inGameTickLeft[1],imageTargetx[1]-15-241,imageTargety[1]-17);
	ViewSetxy(stdGui.view_inGameTickLeft[2],imageTargetx[2]-15-241,imageTargety[2]-17);
	ViewSetxy(stdGui.view_inGameTickLeft[3],imageTargetx[3]-15-241,imageTargety[3]-17);
	ViewSetxy(stdGui.view_inGameTickLeft[4],imageTargetx[4]-15-241,imageTargety[4]-17);
	ViewSetxy(stdGui.view_inGameTickLeft[5],imageTargetx[5]-15-241,imageTargety[5]-17);

	glowSet = true;
	crossSet = true;
	AdBannerSetVisible(0);
	viewsHidden = true;
	}
	
	
	if(levelSelected >=1 && levelSelected <=5)// level 1-5
		ViewSetImage(stdGui.view_inGameTickBoxes,stdGui.img_tickBoxes3[tickBoxesFound]);// TEMP SET TO 3
	else if(levelSelected >=6 && levelSelected <=10)// level 6-10
		ViewSetImage(stdGui.view_inGameTickBoxes,stdGui.img_tickBoxes4[tickBoxesFound]);
	else if(levelSelected >=11 && levelSelected <=15)// level 11-15
		ViewSetImage(stdGui.view_inGameTickBoxes,stdGui.img_tickBoxes5[tickBoxesFound]);
	else if(levelSelected >=16 && levelSelected <=20)// level 16-20
		ViewSetImage(stdGui.view_inGameTickBoxes,stdGui.img_tickBoxes6[tickBoxesFound]);

	

	ViewSetImage(stdGui.view_findCount,stdGui.img_findCount[gdGlobal.findCounts]);

	for(int i = 0; i<6; i++)// 6 in image ticks
	{
		if(targetFound[i] == true){
			ViewSetVisible(stdGui.view_inGameTick[i],1);
			ViewSetVisible(stdGui.view_inGameTickLeft[i],1);
		}
		else if(targetFound[i] == false){
			ViewSetVisible(stdGui.view_inGameTick[i],0);
			ViewSetVisible(stdGui.view_inGameTickLeft[i],0);
		}
	}
}
void game::inGameText()
{
	
	//TextSetVisible(3,1);
	//TextSetVisible(4,1);
	//sprintf(buff1, "%d ", globalTouchx);// x
	//sprintf(buff2, "%d ", globalTouchy);// y
	//TextSetText(3, buff1);
	//TextSetText(4, buff2);

	TextSetVisible(5,1);
	if(inGameTimer <=0)
		inGameTimer = 0;
	sprintf(inGameTimerBuff, "%d ", inGameTimer);// Timer
	TextSetText(5, inGameTimerBuff);
	if(inGameTimer >=10)
		TextSetxy(5,228,5);
	else
		TextSetxy(5,234,5);
}
void game::inGame()
{
	hideAllText();
	if(isPaused == false)
	{
		
		
			//levelSelected = Random(3)+1;
		
		generateDifferenceCoords(levelPackSelected);// generate coords of pack selected, each lvl

		inGameGui();
		inGameText();
		

		//**************** SEE IF ROUND COMPLETE**************************
		if(levelSelected >=1 && levelSelected <=5)// level 1-5
		{
			if(tickBoxesFound == 3)
			{
				gdGlobal.levelCompleteSpot[levelPackSelected-1][levelSelected-1] = true;
				viewsHidden = false;
				gameState = GameWin;
				if(gdGlobal.findCounts <3)
					gdGlobal.findCounts++;
			}
		}
		else if(levelSelected >=6 && levelSelected <=10)// level 6-10
		{
			if(tickBoxesFound == 4)
			{
				gdGlobal.levelCompleteSpot[levelPackSelected-1][levelSelected-1] = true;
				viewsHidden = false;
				gameState = GameWin;
				if(gdGlobal.findCounts <3)
					gdGlobal.findCounts++;
			}
		}
		else if(levelSelected >=11 && levelSelected <=15)// level 11-15
		{
			if(tickBoxesFound == 5)
			{
				gdGlobal.levelCompleteSpot[levelPackSelected-1][levelSelected-1] = true;
				viewsHidden = false;
				gameState = GameWin;
				if(gdGlobal.findCounts <3)
					gdGlobal.findCounts++;
			}
		}
		else if(levelSelected >=16 && levelSelected <=20)// level 16-20
		{
			if(tickBoxesFound == 6)
			{
				gdGlobal.levelCompleteSpot[levelPackSelected-1][levelSelected-1] = true;
				viewsHidden = false;
				gameState = GameWin;
				if(gdGlobal.findCounts <3)
					gdGlobal.findCounts++;
			}
		}
		// Glow on Tap
		//ViewSetVisible(stdGui.view_tapGlow,1);
		//ViewSetImage(stdGui.view_tapGlow,stdGui.img_inGameTapGlow[0]);
		// In Game Timer

		if(timerSecondCount<=29)// Game clock
		{
			timerSecondCount++;
		}
		else
		{
			inGameTimer--;
			timerSecondCount = 0;
		}
		if(inGameTimer<=0){
			gameState = GameOver;viewsHidden = false;}
		
		

		if(isCross)// CROSS 2 SECS
		{
			if(crossDelay == 0)
				crossSet = false;
			if(crossSet == false)
			{
				ViewSetxy(stdGui.view_inGameCross,stdGame.globalTouchx-21,stdGame.globalTouchy-19);// Set cross at coords of user touch
				ViewSetVisible(stdGui.view_inGameCross,1);
				crossSet = true;
			}
			if(crossDelay < 8)
				crossDelay++;
			else if(crossDelay >= 8)
			{
				crossDelay = 0;
				isCross = false;
				crossSet = false;
				ViewSetVisible(stdGui.view_inGameCross,0);
			}
		}
		/*else if(!isCross)
		{
			
		}*/

		if(tapGlowing)// TAP GLOW
		{
			if(glowCount == 0)
				glowSet = false;
			if(glowSet == false)
			{
				ViewSetxy(stdGui.view_tapGlow,globalTouchx-48,globalTouchy-41);// Set Tap glow at coords of user touch
				ViewSetVisible(stdGui.view_tapGlow,1);
				glowSet = true;
			}
			ViewSetImage(stdGui.view_tapGlow,stdGui.img_inGameTapGlow[glowCount]);
			if(glowCount < 8)
				glowCount++;
			else if(glowCount >= 8)
			{
				glowCount = 0;
				tapGlowing = false;
				glowSet = false;
				ViewSetVisible(stdGui.view_tapGlow,0);
				ViewSetImage(stdGui.view_tapGlow,stdGui.img_inGameTapGlow[0]);
			}
		}
		/*else if(!tapGlowing)
		{
			
		}*/


		
		if(flag_menuButton2 == 1)// HINT BUTTON
		{
			ViewSetImage(stdGui.view_findButton,stdGui.img_findButton[1]);
			run_menuButton2 = 1;
		}
		else if(flag_menuButton2 == 0)
		{
			ViewSetImage(stdGui.view_findButton,stdGui.img_findButton[0]);
			if(run_menuButton2 == 1)
				run_menuButton2 = 2;
		}
		if(run_menuButton2 == 2)
		{
			run_menuButton2 = 0;
			//findCounts = 3;
			if(gdGlobal.findCounts > 0)
			{
				if(targetFound[0] == false)
				{tickBoxesFound+=1;
					targetFound[0] = true;
				}
				else if(targetFound[1] == false)
				{tickBoxesFound+=1;
					targetFound[1] = true;
				}
				else if(targetFound[2] == false)
				{tickBoxesFound+=1;
					targetFound[2] = true;
				}
				else if(targetFound[3] == false)
				{tickBoxesFound+=1;
					targetFound[3] = true;
				}
				else if(targetFound[4] == false)
				{tickBoxesFound+=1;
					targetFound[4] = true;
				}
				else if(targetFound[5] == false)
				{tickBoxesFound+=1;
					targetFound[5] = true;
				}
				gdGlobal.findCounts --;
			}
			else
				gdGlobal.findCounts = 0;
			//run code
		}

		if(flag_menuButton1 == 1)// PAUSE BUTTON
		{
			ViewSetImage(stdGui.view_pauseButton,stdGui.img_inGamePauseButton[1]);
			run_menuButton1 = 1;
		}
		else if(flag_menuButton1 == 0)
		{
			ViewSetImage(stdGui.view_pauseButton,stdGui.img_inGamePauseButton[0]);
			if(run_menuButton1 == 1)
				run_menuButton1 = 2;
		}
		if(run_menuButton1 == 2)
		{
			run_menuButton1 = 0;
			//reset();
			viewsHidden = false;
			isPaused = true;
		}
	}
	else
		paused();
	
}
void game::generateDifferenceCoords(int levelPack)
{
	switch(levelPack)
	{
		case 1:
			pack1Targets();
			break;
		case 2:
			pack2Targets();
			break;
		case 3:
			pack3Targets();
			break;
		case 4:
			pack4Targets();
			break;
		case 5:
			pack1Targets();
			break;
		default:
			pack1Targets();
			break;
	}
}
void game::gameOver()
{
	//stdGui.hideAllViews();
	hideAllText();
	ViewSetVisible(stdGui.view_endOverlay,1);
	ViewSetVisible(stdGui.view_titleAnimated,1);
	//ViewSetVisible(stdGui.view_Button1,1);
	//ViewSetVisible(stdGui.view_Button2,1);

	if(!viewsHidden){
		/*ViewSetVisible(stdGui.view_inGameGuiBar,0);
		ViewSetVisible(stdGui.view_inGameTickBoxes,0);
		ViewSetVisible(stdGui.view_inGamePicture[0],0);
		ViewSetVisible(stdGui.view_inGamePicture[1],0);
		ViewSetVisible(stdGui.view_pauseButton,0);*/
		viewsHidden = true;
		textAnimCount = 0;
		isTextAnimating = true;
		AdBannerSetLocation(0);

		AdBannerSetVisible(1);
		ViewSetxy(stdGui.view_Button1,0,20);
		ViewSetxy(stdGui.view_Button2,0,20);
		ViewSetxy(stdGui.view_titleAnimated,-32,-10);

		ViewSetImage(stdGui.view_endOverlay,stdGui.img_gameOverBack);
		ViewSetImage(stdGui.view_Button1,stdGui.img_gameOverRetry[0]);
		ViewSetImage(stdGui.view_Button2,stdGui.img_gameOverQuit[0]);
		ViewSetImage(stdGui.view_titleAnimated,stdGui.img_loseAnim[14]);	
	}

	

	if(isTextAnimating)// Animated paused
	{
		//ViewSetVisible(stdGui.view_titleAnimated,1);
		ViewSetImage(stdGui.view_titleAnimated,stdGui.img_loseAnim[14]);		
		if(textAnimCount < 14)
			textAnimCount++;
		else if(textAnimCount >= 14)
		{
			textAnimCount = 0;
			isTextAnimating = false;
			ViewSetVisible(stdGui.view_Button1,1);
			ViewSetVisible(stdGui.view_Button2,1);
		}
	}
	

	glowCount = 0;
	tapGlowing = false;
	if(flag_menuButton1 == 1)// RETRY
	{
		ViewSetImage(stdGui.view_Button1,stdGui.img_gameOverRetry[1]);
		run_menuButton1 = 1;
	}
	else if(flag_menuButton1 == 0)
	{
		ViewSetImage(stdGui.view_Button1,stdGui.img_gameOverRetry[0]);
		if(run_menuButton1 == 1)
			run_menuButton1 = 2;
	}
	if(run_menuButton1 == 2)
	{
		run_menuButton1 = 0;
		reset();
		inGameTimer = 60;
		viewsHidden = false;
		gameState = InGame;
	}

	if(flag_menuButton2 == 1)// Quit
	{
		ViewSetImage(stdGui.view_Button2,stdGui.img_gameOverQuit[1]);
		run_menuButton2 = 1;
	}
	else if(flag_menuButton2 == 0)
	{
		ViewSetImage(stdGui.view_Button2,stdGui.img_gameOverQuit[0]);
		if(run_menuButton2 == 1)
			run_menuButton2 = 2;
	}
	if(run_menuButton2 == 2)
	{
		run_menuButton2 = 0;
		reset();
		inGameTimer = 60;
		viewsHidden = false;
		gameState = LevelSelect;
	}
}
void game::gameWin()
{
	if(!viewsHidden){// DELAYING THE WIN SCREEN SEEMS TO WORK

		if(textAnimCount == 0)
		{
			textAnimCount = 0;
			isTextAnimating = true;
		}
		if(textAnimCount >= 14)
		{

		
			/*ViewSetVisible(stdGui.view_inGameGuiBar,0);
		ViewSetVisible(stdGui.view_inGameTickBoxes,0);
		ViewSetVisible(stdGui.view_inGamePicture[0],0);
		ViewSetVisible(stdGui.view_inGamePicture[1],0);
		ViewSetVisible(stdGui.view_pauseButton,0);*/
		hideAllText();
		
		
		/*ViewSetxy(stdGui.view_Button1,0,20);
		ViewSetxy(stdGui.view_Button2,0,20);*/
		ViewSetxy(stdGui.view_titleAnimated,-32,-0);

		ViewSetImage(stdGui.view_endOverlay,stdGui.img_gameWinBack);
		ViewSetImage(stdGui.view_Button1,stdGui.img_gameWinContinue[0]);
		ViewSetImage(stdGui.view_Button2,stdGui.img_gameOverQuit[0]);
		ViewSetImage(stdGui.view_titleAnimated,stdGui.img_winAnim[14]);

		ViewSetVisible(stdGui.view_endOverlay,1);
		ViewSetVisible(stdGui.view_titleAnimated,1);
		run_menuButton1 = 0;
		run_menuButton2 = 0;
		flag_menuButton1 = 0;
		flag_menuButton2 = 0;
		glowCount = 0;
		tapGlowing = false;
		viewsHidden = true;
		AdBannerSetLocation(0);
		AdBannerSetVisible(1);
		}
		
	}
	
	//ViewSetVisible(stdGui.view_Button1,1);
	//ViewSetVisible(stdGui.view_Button2,1);

	
	

	if(isTextAnimating == true)// Animated paused
	{
		//ViewSetVisible(stdGui.view_titleAnimated,1);
		ViewSetImage(stdGui.view_titleAnimated,stdGui.img_winAnim[14]);

		if(textAnimCount >= 14)
		{
			
			
			
		}

		if(textAnimCount < 28)
			textAnimCount++;
		else if(textAnimCount >= 28)
		{
			textAnimCount = 0;
			isTextAnimating = false;
			ViewSetVisible(stdGui.view_Button1,1);
			ViewSetVisible(stdGui.view_Button2,1);
		}
	}
	
	//else if(isTextAnimating == false)
	//{
	//	//ViewSetVisible(stdGui.view_tapGlow,0);
	//	ViewSetImage(stdGui.view_tapGlow,stdGui.img_winAnim[0]);
	//}

	

	if(flag_menuButton1 == 1)// Continue
	{
		ViewSetImage(stdGui.view_Button1,stdGui.img_gameWinContinue[1]);
		run_menuButton1 = 1;
	}
	else if(flag_menuButton1 == 0)
	{
		ViewSetImage(stdGui.view_Button1,stdGui.img_gameWinContinue[0]);
		if(run_menuButton1 == 1)
			run_menuButton1 = 2;
	}
	if(run_menuButton1 == 2)
	{
		run_menuButton1 = 0;
		reset();
		inGameTimer = 60;
		SaveGameData("SaveFile");

		if(levelSelected == 20){
			gameState = LevelSelect;viewsHidden = false;}
		else{
			gameState = InGame;viewsHidden = false;}
		if(levelSelected < 20)
			levelSelected++;

		if(randomizeLevels == true)
		{
			levelPackSelected = Random(3)+1;
			levelSelected = Random(19)+1;
		}	
	}

	if(flag_menuButton2 == 1)// Quit
	{
		ViewSetImage(stdGui.view_Button2,stdGui.img_gameOverQuit[1]);
		run_menuButton2 = 1;
	}
	else if(flag_menuButton2 == 0)
	{
		ViewSetImage(stdGui.view_Button2,stdGui.img_gameOverQuit[0]);
		if(run_menuButton2 == 1)
			run_menuButton2 = 2;
	}
	if(run_menuButton2 == 2)
	{
		run_menuButton2 = 0;
		reset();
		inGameTimer = 60;
		SaveGameData("SaveFile");
		viewsHidden = false;
		gameState = LevelSelect;
	}
}
void game::paused()
{
	if(!viewsHidden){
	stdGui.hideAllViews();
	/*ViewSetVisible(stdGui.view_inGameGuiBar,0);
	ViewSetVisible(stdGui.view_inGameTickBoxes,0);
	ViewSetVisible(stdGui.view_inGamePicture[0],0);
	ViewSetVisible(stdGui.view_inGamePicture[1],0);
	ViewSetVisible(stdGui.view_pauseButton,0);*/
		viewsHidden = true;
		textAnimCount = 0;
		isTextAnimating = true;
		ViewSetVisible(stdGui.view_Background,1);
	
		ViewSetVisible(stdGui.view_titleAnimated,1);
		
		ViewSetxy(stdGui.view_Button1,0,20);
		ViewSetxy(stdGui.view_Button2,0,20);
		ViewSetxy(stdGui.view_titleAnimated,0,120);

		ViewSetImage(stdGui.view_Background,stdGui.img_inGamePauseBack);
		ViewSetImage(stdGui.view_Button1,stdGui.img_inGamePauseResume[0]);
		ViewSetImage(stdGui.view_Button2,stdGui.img_inGamePauseQuit[0]);
		ViewSetImage(stdGui.view_titleAnimated,stdGui.img_pauseAnim[14]);
		AdBannerSetLocation(0);// iad
		AdBannerSetVisible(1);
	}
	
	


	if(isTextAnimating)// Animated paused
	{
		//ViewSetVisible(stdGui.view_titleAnimated,1);
		ViewSetImage(stdGui.view_titleAnimated,stdGui.img_pauseAnim[14]);
		if(textAnimCount < 14)
			textAnimCount++;
		else if(textAnimCount >= 14)
		{
			textAnimCount = 0;
			isTextAnimating = false;
			ViewSetVisible(stdGui.view_Button1,1);
			ViewSetVisible(stdGui.view_Button2,1);
		}
	}
	

	glowCount = 0;
	tapGlowing = false;
	if(flag_menuButton1 == 1)// RESUME
	{
		ViewSetImage(stdGui.view_Button1,stdGui.img_inGamePauseResume[1]);
		run_menuButton1 = 1;
	}
	else if(flag_menuButton1 == 0)
	{
		ViewSetImage(stdGui.view_Button1,stdGui.img_inGamePauseResume[0]);
		if(run_menuButton1 == 1)
			run_menuButton1 = 2;
	}
	if(run_menuButton1 == 2)
	{
		run_menuButton1 = 0;
		//reset();
		viewsHidden = false;
		isPaused = false;
	}

	if(flag_menuButton2 == 1)// Quit
	{
		ViewSetImage(stdGui.view_Button2,stdGui.img_inGamePauseQuit[1]);
		run_menuButton2 = 1;
	}
	else if(flag_menuButton2 == 0)
	{
		ViewSetImage(stdGui.view_Button2,stdGui.img_inGamePauseQuit[0]);
		if(run_menuButton2 == 1)
			run_menuButton2 = 2;
	}
	if(run_menuButton2 == 2)
	{
		run_menuButton2 = 0;
		reset();
		viewsHidden = false;
		isPaused = false;
		gameState = LevelSelect;
	}

}


int touchArea(int id, int event, int x, int y)
{
	
	if(stdGame.gameState == InGame && !stdGame.isPaused)//******************************* In Game Controls
	{		
		
		// Targets hit - Target 1
		if(x > stdGame.imageTargetx[0]-25 && x < stdGame.imageTargetx[0]+25 && 
		   y > stdGame.imageTargety[0]-25 && y < stdGame.imageTargety[0]+25 ||
		   x > stdGame.imageTargetx[0]-25-241 && x < stdGame.imageTargetx[0]+25-241 && 
		   y > stdGame.imageTargety[0]-25 && y < stdGame.imageTargety[0]+25)
		{
			if (event == 1)
			{	stdGame.globalTouchx = x;
				stdGame.globalTouchy = y;
				if(stdGame.targetFound[0] == false)
				{
					stdGame.targetFound[0] = true;
					stdGame.tickBoxesFound+=1;
				}
				if(stdGame.tapGlowing)// Flash always
					stdGame.glowCount = 0;
				else if(!stdGame.tapGlowing)
					stdGame.tapGlowing = true;
			}
		}
		// Targets hit - Target 2
		else if(x > stdGame.imageTargetx[1]-25 && x < stdGame.imageTargetx[1]+25 && 
		   y > stdGame.imageTargety[1]-25 && y < stdGame.imageTargety[1]+25 ||
		   x > stdGame.imageTargetx[1]-25-241 && x < stdGame.imageTargetx[1]+25-241 && 
		   y > stdGame.imageTargety[1]-25 && y < stdGame.imageTargety[1]+25)
		{
			if (event == 1)
			{	stdGame.globalTouchx = x;
				stdGame.globalTouchy = y;
				if(stdGame.targetFound[1] == false)
				{
					stdGame.targetFound[1] = true;
					stdGame.tickBoxesFound+=1;
				}
				if(stdGame.tapGlowing)
					stdGame.glowCount = 0;
				else if(!stdGame.tapGlowing)
					stdGame.tapGlowing = true;
			}
		}
		// Targets hit - Target 3
		else if(x > stdGame.imageTargetx[2]-25 && x < stdGame.imageTargetx[2]+25 && 
		   y > stdGame.imageTargety[2]-25 && y < stdGame.imageTargety[2]+25 ||
		   x > stdGame.imageTargetx[2]-25-241 && x < stdGame.imageTargetx[2]+25-241 && 
		   y > stdGame.imageTargety[2]-25 && y < stdGame.imageTargety[2]+25)
		{
			if (event == 1)
			{	stdGame.globalTouchx = x;
				stdGame.globalTouchy = y;
				if(stdGame.targetFound[2] == false)
				{
					stdGame.targetFound[2] = true;
					stdGame.tickBoxesFound+=1;
				}
				if(stdGame.tapGlowing)
					stdGame.glowCount = 0;
				else if(!stdGame.tapGlowing)
					stdGame.tapGlowing = true;
			}
		}
		// Targets hit - Target 4
		else if(x > stdGame.imageTargetx[3]-25 && x < stdGame.imageTargetx[3]+25 && 
		   y > stdGame.imageTargety[3]-25 && y < stdGame.imageTargety[3]+25 ||
		   x > stdGame.imageTargetx[3]-25-241 && x < stdGame.imageTargetx[3]+25-241 && 
		   y > stdGame.imageTargety[3]-25 && y < stdGame.imageTargety[3]+25)
		{
			if (event == 1)
			{	stdGame.globalTouchx = x;
				stdGame.globalTouchy = y;
				if(stdGame.targetFound[3] == false)
				{
					stdGame.targetFound[3] = true;
					stdGame.tickBoxesFound+=1;
				}
				if(stdGame.tapGlowing)
					stdGame.glowCount = 0;
				else if(!stdGame.tapGlowing)
					stdGame.tapGlowing = true;
			}
		}
		// Targets hit - Target 5
		else if(x > stdGame.imageTargetx[4]-25 && x < stdGame.imageTargetx[4]+25 && 
		   y > stdGame.imageTargety[4]-25 && y < stdGame.imageTargety[4]+25 ||
		   x > stdGame.imageTargetx[4]-25-241 && x < stdGame.imageTargetx[4]+25-241 && 
		   y > stdGame.imageTargety[4]-25 && y < stdGame.imageTargety[4]+25)
		{
			if (event == 1)
			{	stdGame.globalTouchx = x;
				stdGame.globalTouchy = y;
				if(stdGame.targetFound[4] == false)
				{
					stdGame.targetFound[4] = true;
					stdGame.tickBoxesFound+=1;
				}
				if(stdGame.tapGlowing)
					stdGame.glowCount = 0;
				else if(!stdGame.tapGlowing)
					stdGame.tapGlowing = true;
			}
		}
		// Targets hit - Target 6
		else if(x > stdGame.imageTargetx[5]-25 && x < stdGame.imageTargetx[5]+25 && 
		   y > stdGame.imageTargety[5]-25 && y < stdGame.imageTargety[5]+25 ||
		   x > stdGame.imageTargetx[5]-25-241 && x < stdGame.imageTargetx[5]+25-241 && 
		   y > stdGame.imageTargety[5]-25 && y < stdGame.imageTargety[5]+25)
		{
			if (event == 1)
			{	stdGame.globalTouchx = x;
				stdGame.globalTouchy = y;
				if(stdGame.targetFound[5] == false)
				{
					stdGame.targetFound[5] = true;
					stdGame.tickBoxesFound+=1;
				}
				if(stdGame.tapGlowing)
					stdGame.glowCount = 0;
				else if(!stdGame.tapGlowing)
					stdGame.tapGlowing = true;
			}
		}
		// entire screen for tap glow
		else if(x > 0 && x < 480 && y > 30 && y < 320)// All Screen Covered
		{
			if (event == 1)
			{	stdGame.globalTouchx = x;
				stdGame.globalTouchy = y;
				if(stdGame.isCross)// Display cross
					stdGame.crossDelay = 0;
				else if(!stdGame.isCross)
					stdGame.isCross = true;
				stdGame.inGameTimer-=5;
			}
		}
		else if(x > 437 && x < 457+21 && y > 1 && y < 3+21)// Pause
		{
			if (event == 1 || event == 2)
			{   
				stdGame.flag_menuButton1 = 1;
				return 0; 
			}
			else if(event !=1)
			{
				stdGame.flag_menuButton1 = 0;
				return 0;
			}

		}
		else
			stdGame.flag_menuButton1 = 0;

		if(x > 317 && x < 317+58 && y > 1 && y < 3+21)// Find hint
		{
			if (event == 1 || event == 2)
			{   
				stdGame.flag_menuButton2 = 1;
				return 0; 
			}
			else if(event !=1)
			{
				stdGame.flag_menuButton2 = 0;
				return 0;
			}

		}
		else
			stdGame.flag_menuButton2 = 0;
	}
	if(stdGame.gameState == InGame && stdGame.isPaused && stdGame.isTextAnimating == false)//******************************* In Game PAUSED Controls
	{
		if(x > 40 && x < 50+157 && y > 240 && y < 240+65)// Resume
		{
			if (event == 1 || event == 2)
			{   
				stdGame.flag_menuButton1 = 1;
				return 0; 
			}
			else if(event !=1)
			{
				stdGame.flag_menuButton1 = 0;
				return 0;
			}

		}
		else
			stdGame.flag_menuButton1 = 0;
		if(x > 300 && x < 300+120 && y > 240 && y < 240+65)// quit
		{
			if (event == 1 || event == 2)
			{   
				stdGame.flag_menuButton2 = 1;
				return 0; 
			}
			else if(event !=1)
			{
				stdGame.flag_menuButton2 = 0;
				return 0;
			}
		}
		else
			stdGame.flag_menuButton2 = 0;
	}
	if(stdGame.gameState == GameOver && stdGame.isTextAnimating == false)//******************************* Game Over Controls
	{
		if(x > 50 && x < 50+127 && y > 240 && y < 240+65)// Retry
		{
			if (event == 1 || event == 2)
			{   
				stdGame.flag_menuButton1 = 1;
				return 0; 
			}
			else if(event !=1)
			{
				stdGame.flag_menuButton1 = 0;
				return 0;
			}

		}
		else
			stdGame.flag_menuButton1 = 0;
		if(x > 300 && x < 300+120 && y > 240 && y < 240+65)// quit
		{
			if (event == 1 || event == 2)
			{   
				stdGame.flag_menuButton2 = 1;
				return 0; 
			}
			else if(event !=1)
			{
				stdGame.flag_menuButton2 = 0;
				return 0;
			}
		}
		else
			stdGame.flag_menuButton2 = 0;
	}
	if(stdGame.gameState == GameWin && stdGame.isTextAnimating == false)//******************************* Game Win Controls
	{
		if(x > 40 && x < 50+157 && y > 240 && y < 240+65)// Continue
		{
			if (event == 1 || event == 2)
			{   
				stdGame.flag_menuButton1 = 1;
				return 0; 
			}
			else if(event !=1)
			{
				stdGame.flag_menuButton1 = 0;
				return 0;
			}

		}
		else
			stdGame.flag_menuButton1 = 0;
		if(x > 300 && x < 300+120 && y > 240 && y < 240+65)// quit
		{
			if (event == 1 || event == 2)
			{   
				stdGame.flag_menuButton2 = 1;
				return 0; 
			}
			else if(event !=1)
			{
				stdGame.flag_menuButton2 = 0;
				return 0;
			}
		}
		else
			stdGame.flag_menuButton2 = 0;
	}

	if(stdGame.gameState == MainMenu)//******************************* Main Menu Controls
	{
		if(x > 30+130 && x < 50+137+130 && y > 240 && y < 240+45)// MainMenu play
		{
			if (event == 1 || event == 2)
			{   
				stdGame.flag_menuButton1 = 1;
				return 0; 
			}
			else if(event !=1)
			{
				stdGame.flag_menuButton1 = 0;
				return 0;
			}

		}
		else
			stdGame.flag_menuButton1 = 0;
		if(x > 300 && x < 300+137 && y > 240 && y < 240+45)// MainMenu options
		{
			if (event == 1 || event == 2)
			{   
				stdGame.flag_menuButton2 = 1;
				return 0; 
			}
			else if(event !=1)
			{
				stdGame.flag_menuButton2 = 0;
				return 0;
			}
		}
		else
			stdGame.flag_menuButton2 = 0;
	}
	if(stdGame.gameState == LevelPackSelect)//******************************* Level Pack Select Controls
	{

		if(x > 0 && x < 480 && y > 48 && y < 48+47)// bar 1
		{
			if (event == 1 || event == 2)
			{   
				stdGame.flag_lpSelect1 = 1;
				return 0;
			}
			else if(event !=1)
			{
				stdGame.flag_lpSelect1 = 0;
				return 0;
			}
		}
		else
			stdGame.flag_lpSelect1 = 0;

		if(x > 0 && x < 480 && y > 48+47 && y < 48+47+47)// bar 2
		{
			if (event == 1 || event == 2)
			{   
				stdGame.flag_lpSelect2 = 1;
				return 0;
			}
			else if(event !=1)
			{
				stdGame.flag_lpSelect2 = 0;
				return 0;
			}
		}
		else
			stdGame.flag_lpSelect2 = 0;

		if(x > 0 && x < 480 && y > 48+47+47 && y < 48+47+47+47)// bar 3
		{
			if (event == 1 || event == 2)
			{   
				stdGame.flag_lpSelect3 = 1;
				return 0;
			}
			else if(event !=1)
			{
				stdGame.flag_lpSelect3 = 0;
				return 0;
			}
		}
		else
			stdGame.flag_lpSelect3 = 0;

		if(x > 0 && x < 480 && y > 48+47+47+47 && y < 48+47+47+47+47)// bar 4
		{
			if (event == 1 || event == 2)
			{   
				stdGame.flag_lpSelect4 = 1;
				return 0;
			}
			else if(event !=1)
			{
				stdGame.flag_lpSelect4 = 0;
				return 0;
			}
		}
		else
			stdGame.flag_lpSelect4 = 0;

		if(x > 0 && x < 480 && y > 48+47+47+47+47 && y < 48+47+47+47+47+47)// bar 5
		{
			if (event == 1 || event == 2)
			{   
				stdGame.flag_lpSelect5 = 1;
				return 0;
			}
			else if(event !=1)
			{
				stdGame.flag_lpSelect5 = 0;
				return 0;
			}
		}
		else
			stdGame.flag_lpSelect5 = 0;


		if(x > 0 && x < 0+90 && y > 0 && y < 0+45)// back to main menu
		{
			if (event == 1 || event == 2)
			{   
				stdGame.flag_gameExitButton = 1;
				return 0;
			}
			else if(event !=1)
			{
				stdGame.flag_gameExitButton = 0;
				return 0;
			}
		}
		else
			stdGame.flag_gameExitButton = 0;
	}
	if(stdGame.gameState == LevelSelect)//******************************* Level Select Controls
	{
		if(x > 320 && x < 320+120 && y > 235 && y < 235+60)// Play level
		{
			if (event == 1 || event == 2)
			{   
				stdGame.flag_menuButton1 = 1;
				return 0; 
			}
			else if(event !=1)
			{
				stdGame.flag_menuButton1 = 0;
				return 0;
			}
		}
		else
			stdGame.flag_menuButton1 = 0;
		if(x > 0 && x < 0+90 && y > 0 && y < 0+45)// back to main menu
		{
			if (event == 1 || event == 2)
			{   
				stdGame.flag_gameExitButton = 1;
				return 0;
			}
			else if(event !=1)
			{
				stdGame.flag_gameExitButton = 0;
				return 0;
			}
		}
		else
			stdGame.flag_gameExitButton = 0;
		//**************************************************************** Level select 20 images
		if(x > 0 && x < 0+55 && y > 53 && y < 53+64)// 1
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 1;
				return 0;
			}
		}
		if(x > 0+55 && x < 0+55+55 && y > 53 && y < 53+64)// 2
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 2;
				return 0;
			}
		}
		if(x > 0+55+55 && x < 0+55+55+55 && y > 53 && y < 53+64)// 3
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 3;
				return 0;
			}
		}
		if(x > 0+55+55+55 && x < 0+55+55+55+55 && y > 53 && y < 53+64)// 4
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 4;
				return 0;
			}
		}
		if(x > 0+55+55+55+55 && x < 0+55+55+55+55+55 && y > 53 && y < 53+64)// 5
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 5;
				return 0;
			}
		}
		if(x > 0 && x < 0+55 && y > 53 && y < 53+64+64)// 6
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 6;
				return 0;
			}
		}
		if(x > 0+55 && x < 0+55+55 && y > 53 && y < 53+64+64)// 7
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 7;
				return 0;
			}
		}
		if(x > 0+55+55 && x < 0+55+55+55 && y > 53 && y < 53+64+64)// 8
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 8;
				return 0;
			}
		}
		if(x > 0+55+55+55 && x < 0+55+55+55+55 && y > 53 && y < 53+64+64)// 9
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 9;
				return 0;
			}
		}
		if(x > 0+55+55+55+55 && x < 0+55+55+55+55+55 && y > 53 && y < 53+64+64)// 10
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 10;
				return 0;
			}
		}
	
		if(x > 0 && x < 0+55 && y > 53 && y < 53+64+64+64)// 11
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 11;
				return 0;
			}
		}
		if(x > 0+55 && x < 0+55+55 && y > 53 && y < 53+64+64+64)// 12
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 12;
				return 0;
			}
		}
		if(x > 0+55+55 && x < 0+55+55+55 && y > 53 && y < 53+64+64+64)// 13
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 13;
				return 0;
			}
		}
		if(x > 0+55+55+55 && x < 0+55+55+55+55 && y > 53 && y < 53+64+64+64)// 14
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 14;
				return 0;
			}
		}
		if(x > 0+55+55+55+55 && x < 0+55+55+55+55+55 && y > 53 && y < 53+64+64+64)// 15
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 15;
				return 0;
			}
		}
		if(x > 0 && x < 0+55 && y > 53 && y < 53+64+64+64+64)// 16
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 16;
				return 0;
			}
		}
		if(x > 0+55 && x < 0+55+55 && y > 53 && y < 53+64+64+64+64)// 17
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 17;
				return 0;
			}
		}
		if(x > 0+55+55 && x < 0+55+55+55 && y > 53 && y < 53+64+64+64+64)// 18
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 18;
				return 0;
			}
		}
		if(x > 0+55+55+55 && x < 0+55+55+55+55 && y > 53 && y < 53+64+64+64+64)// 19
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 19;
				return 0;
			}
		}
		if(x > 0+55+55+55+55 && x < 0+55+55+55+55+55 && y > 53 && y < 53+64+64+64+64)// 20
		{
			if (event == 1)
			{   
				stdGame.levelSelected = 20;
				return 0;
			}
		}
	}
	return 0;
}


void game::pack1Targets()
{
	if(levelSelected == 1)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 365;
		imageTargety[0] = 307;
		imageTargetx[1] = 444;
		imageTargety[1] = 196;
		imageTargetx[2] = 311;
		imageTargety[2] = 252;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 2)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 335;
		imageTargety[0] = 230;
		imageTargetx[1] = 451;
		imageTargety[1] = 233;
		imageTargetx[2] = 267;
		imageTargety[2] = 141;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 3)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 310;
		imageTargety[0] = 174;
		imageTargetx[1] = 406;
		imageTargety[1] = 122;
		imageTargetx[2] = 313;
		imageTargety[2] = 53;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 4)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 443;
		imageTargety[0] = 136;
		imageTargetx[1] = 320;
		imageTargety[1] = 263;
		imageTargetx[2] = 432;
		imageTargety[2] = 85;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 5)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 355;
		imageTargety[0] = 303;
		imageTargetx[1] = 322;
		imageTargety[1] = 273;
		imageTargetx[2] = 405;
		imageTargety[2] = 83;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 6)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 256;
		imageTargety[0] = 87;
		imageTargetx[1] = 359;
		imageTargety[1] = 197;
		imageTargetx[2] = 464;
		imageTargety[2] = 136;
		imageTargetx[3] = 422;
		imageTargety[3] = 91;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 7)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 461;
		imageTargety[0] = 303;
		imageTargetx[1] = 266;
		imageTargety[1] = 178;
		imageTargetx[2] = 267;
		imageTargety[2] = 283;
		imageTargetx[3] = 358;
		imageTargety[3] = 56;
		imageTargetx[4] = 406;
		imageTargety[4] = 87;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 8)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 262;
		imageTargety[0] = 208;
		imageTargetx[1] = 256;
		imageTargety[1] = 179;
		imageTargetx[2] = 420;
		imageTargety[2] = 94;
		imageTargetx[3] = 340;
		imageTargety[3] = 143;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 9)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 322;
		imageTargety[0] = 304;
		imageTargetx[1] = 363;
		imageTargety[1] = 182;
		imageTargetx[2] = 326;
		imageTargety[2] = 140;
		imageTargetx[3] = 263;
		imageTargety[3] = 194;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 10)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 358;
		imageTargety[0] = 234;
		imageTargetx[1] = 318;
		imageTargety[1] = 191;
		imageTargetx[2] = 379;
		imageTargety[2] = 194;
		imageTargetx[3] = 439;
		imageTargety[3] = 173;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 11)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 249;
		imageTargety[0] = 197;
		imageTargetx[1] = 290;
		imageTargety[1] = 160;
		imageTargetx[2] = 474;
		imageTargety[2] = 265;
		imageTargetx[3] = 440;
		imageTargety[3] = 160;
		imageTargetx[4] = 406;
		imageTargety[4] = 87;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 12)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 458;
		imageTargety[0] = 297;
		imageTargetx[1] = 405;
		imageTargety[1] = 262;
		imageTargetx[2] = 291;
		imageTargety[2] = 211;
		imageTargetx[3] = 390;
		imageTargety[3] = 170;
		imageTargetx[4] = 310;
		imageTargety[4] = 248;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 13)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 312;
		imageTargety[0] = 171;
		imageTargetx[1] = 311;
		imageTargety[1] = 265;
		imageTargetx[2] = 398;
		imageTargety[2] = 168;
		imageTargetx[3] = 400;
		imageTargety[3] = 208;
		imageTargetx[4] = 252;
		imageTargety[4] = 232;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 14)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 256;
		imageTargety[0] = 307;
		imageTargetx[1] = 389;
		imageTargety[1] = 198;
		imageTargetx[2] = 356;
		imageTargety[2] = 270;
		imageTargetx[3] = 424;
		imageTargety[3] = 100;
		imageTargetx[4] = 464;
		imageTargety[4] = 292;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 15)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 319;
		imageTargety[0] = 165;
		imageTargetx[1] = 404;
		imageTargety[1] = 127;
		imageTargetx[2] = 377;
		imageTargety[2] = 103;
		imageTargetx[3] = 435;
		imageTargety[3] = 265;
		imageTargetx[4] = 267;
		imageTargety[4] = 280;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 16)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 404;
		imageTargety[0] = 298;
		imageTargetx[1] = 351;
		imageTargety[1] = 292;
		imageTargetx[2] = 258;
		imageTargety[2] = 272;
		imageTargetx[3] = 451;
		imageTargety[3] = 164;
		imageTargetx[4] = 450;
		imageTargety[4] = 92;
		imageTargetx[5] = 278;
		imageTargety[5] = 52;
	}
	if(levelSelected == 17)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 338;
		imageTargety[0] = 256;
		imageTargetx[1] = 454;
		imageTargety[1] = 63;
		imageTargetx[2] = 427;
		imageTargety[2] = 236;
		imageTargetx[3] = 275;
		imageTargety[3] = 165;
		imageTargetx[4] = 456;
		imageTargety[4] = 177;
		imageTargetx[5] = 467;
		imageTargety[5] = 296;
	}
	if(levelSelected == 18)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 392;
		imageTargety[0] = 108;
		imageTargetx[1] = 254;
		imageTargety[1] = 226;
		imageTargetx[2] = 272;
		imageTargety[2] = 173;
		imageTargetx[3] = 410;
		imageTargety[3] = 45;
		imageTargetx[4] = 309;
		imageTargety[4] = 105;
		imageTargetx[5] = 463;
		imageTargety[5] = 219;
	}
	if(levelSelected == 19)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 258;
		imageTargety[0] = 306;
		imageTargetx[1] = 458;
		imageTargety[1] = 224;
		imageTargetx[2] = 407;
		imageTargety[2] = 300;
		imageTargetx[3] = 313;
		imageTargety[3] = 153;
		imageTargetx[4] = 351;
		imageTargety[4] = 182;
		imageTargetx[5] = 348;
		imageTargety[5] = 212;
	}
	if(levelSelected == 20)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 271;
		imageTargety[0] = 188;
		imageTargetx[1] = 424;
		imageTargety[1] = 212;
		imageTargetx[2] = 387;
		imageTargety[2] = 111;
		imageTargetx[3] = 273;
		imageTargety[3] = 103;
		imageTargetx[4] = 465;
		imageTargety[4] = 56;
		imageTargetx[5] = 475;
		imageTargety[5] = 150;
	}
}
void game::pack2Targets()
{
	if(levelSelected == 1)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 392;
		imageTargety[0] = 117;
		imageTargetx[1] = 375;
		imageTargety[1] = 183;
		imageTargetx[2] = 331;
		imageTargety[2] = 70;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 2)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 358;
		imageTargety[0] = 68;
		imageTargetx[1] = 311;
		imageTargety[1] = 220;
		imageTargetx[2] = 277;
		imageTargety[2] = 246;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 3)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 349;
		imageTargety[0] = 42;
		imageTargetx[1] = 354;
		imageTargety[1] = 256;
		imageTargetx[2] = 303;
		imageTargety[2] = 181;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 4)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 417;
		imageTargety[0] = 54;
		imageTargetx[1] = 367;
		imageTargety[1] = 162;
		imageTargetx[2] = 299;
		imageTargety[2] = 209;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 5)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 403;
		imageTargety[0] = 259;
		imageTargetx[1] = 355;
		imageTargety[1] = 252;
		imageTargetx[2] = 469;
		imageTargety[2] = 134;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 6)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 433;
		imageTargety[0] = 237;
		imageTargetx[1] = 409;
		imageTargety[1] = 157;
		imageTargetx[2] = 256;
		imageTargety[2] = 204;
		imageTargetx[3] = 294;
		imageTargety[3] = 276;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 7)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 302;
		imageTargety[0] = 36;
		imageTargetx[1] = 340;
		imageTargety[1] = 194;
		imageTargetx[2] = 255;
		imageTargety[2] = 305;
		imageTargetx[3] = 359;
		imageTargety[3] = 142;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 8)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 379;
		imageTargety[0] = 241;
		imageTargetx[1] = 358;
		imageTargety[1] = 95;
		imageTargetx[2] = 310;
		imageTargety[2] = 139;
		imageTargetx[3] = 411;
		imageTargety[3] = 129;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 9)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 459;
		imageTargety[0] = 99;
		imageTargetx[1] = 359;
		imageTargety[1] = 305;
		imageTargetx[2] = 412;
		imageTargety[2] = 182;
		imageTargetx[3] = 251;
		imageTargety[3] = 135;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 10)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 403;
		imageTargety[0] = 165;
		imageTargetx[1] = 434;
		imageTargety[1] = 105;
		imageTargetx[2] = 300;
		imageTargety[2] = 167;
		imageTargetx[3] = 371;
		imageTargety[3] = 132;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 11)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 318;
		imageTargety[0] = 176;
		imageTargetx[1] = 278;
		imageTargety[1] = 102;
		imageTargetx[2] = 460;
		imageTargety[2] = 46;
		imageTargetx[3] = 469;
		imageTargety[3] = 110;
		imageTargetx[4] = 380;
		imageTargety[4] = 193;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 12)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 376;
		imageTargety[0] = 46;
		imageTargetx[1] = 389;
		imageTargety[1] = 112;
		imageTargetx[2] = 257;
		imageTargety[2] = 306;
		imageTargetx[3] = 373;
		imageTargety[3] = 280;
		imageTargetx[4] = 456;
		imageTargety[4] = 170;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 13)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 347;
		imageTargety[0] = 156;
		imageTargetx[1] = 436;
		imageTargety[1] = 114;
		imageTargetx[2] = 424;
		imageTargety[2] = 162;
		imageTargetx[3] = 289;
		imageTargety[3] = 235;
		imageTargetx[4] = 255;
		imageTargety[4] = 266;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 14)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 318;
		imageTargety[0] = 234;
		imageTargetx[1] = 254;
		imageTargety[1] = 302;
		imageTargetx[2] = 408;
		imageTargety[2] = 213;
		imageTargetx[3] = 463;
		imageTargety[3] = 168;
		imageTargetx[4] = 305;
		imageTargety[4] = 67;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 15)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 375;
		imageTargety[0] = 172;
		imageTargetx[1] = 273;
		imageTargety[1] = 104;
		imageTargetx[2] = 320;
		imageTargety[2] = 238;
		imageTargetx[3] = 430;
		imageTargety[3] = 103;
		imageTargetx[4] = 252;
		imageTargety[4] = 190;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 16)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 445;
		imageTargety[0] = 64;
		imageTargetx[1] = 260;
		imageTargety[1] = 102;
		imageTargetx[2] = 298;
		imageTargety[2] = 103;
		imageTargetx[3] = 381;
		imageTargety[3] = 181;
		imageTargetx[4] = 294;
		imageTargety[4] = 140;
		imageTargetx[5] = 392;
		imageTargety[5] = 116;
	}
	if(levelSelected == 17)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 260;
		imageTargety[0] = 66;
		imageTargetx[1] = 344;
		imageTargety[1] = 136;
		imageTargetx[2] = 395;
		imageTargety[2] = 145;
		imageTargetx[3] = 451;
		imageTargety[3] = 142;
		imageTargetx[4] = 428;
		imageTargety[4] = 287;
		imageTargetx[5] = 287;
		imageTargety[5] = 205;
	}
	if(levelSelected == 18)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 414;
		imageTargety[0] = 133;
		imageTargetx[1] = 391;
		imageTargety[1] = 199;
		imageTargetx[2] = 264;
		imageTargety[2] = 149;
		imageTargetx[3] = 336;
		imageTargety[3] = 183;
		imageTargetx[4] = 307;
		imageTargety[4] = 306;
		imageTargetx[5] = 466;
		imageTargety[5] = 305;
	}
	if(levelSelected == 19)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 274;
		imageTargety[0] = 57;
		imageTargetx[1] = 331;
		imageTargety[1] = 144;
		imageTargetx[2] = 293;
		imageTargety[2] = 113;
		imageTargetx[3] = 327;
		imageTargety[3] = 170;
		imageTargetx[4] = 350;
		imageTargety[4] = 114;
		imageTargetx[5] = 464;
		imageTargety[5] = 204;
	}
	if(levelSelected == 20)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 248;
		imageTargety[0] = 268;
		imageTargetx[1] = 457;
		imageTargety[1] = 94;
		imageTargetx[2] = 428;
		imageTargety[2] = 192;
		imageTargetx[3] = 326;
		imageTargety[3] = 256;
		imageTargetx[4] = 297;
		imageTargety[4] = 256;
		imageTargetx[5] = 353;
		imageTargety[5] = 160;
	}
}
void game::pack3Targets()
{
	if(levelSelected == 1)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 350;
		imageTargety[0] = 74;
		imageTargetx[1] = 362;
		imageTargety[1] = 301;
		imageTargetx[2] = 391;
		imageTargety[2] = 193;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 2)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 395;
		imageTargety[0] = 88;
		imageTargetx[1] = 309;
		imageTargety[1] = 278;
		imageTargetx[2] = 250;
		imageTargety[2] = 105;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 3)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 422;
		imageTargety[0] = 133;
		imageTargetx[1] = 278;
		imageTargety[1] = 203;
		imageTargetx[2] = 255;
		imageTargety[2] = 121;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 4)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 360;
		imageTargety[0] = 187;
		imageTargetx[1] = 338;
		imageTargety[1] = 135;
		imageTargetx[2] = 255;
		imageTargety[2] = 293;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 5)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 422;
		imageTargety[0] = 148;
		imageTargetx[1] = 470;
		imageTargety[1] = 239;
		imageTargetx[2] = 277;
		imageTargety[2] = 103;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 6)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 413;
		imageTargety[0] = 120;
		imageTargetx[1] = 284;
		imageTargety[1] = 198;
		imageTargetx[2] = 459;
		imageTargety[2] = 180;
		imageTargetx[3] = 373;
		imageTargety[3] = 187;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 7)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 456;
		imageTargety[0] = 166;
		imageTargetx[1] = 336;
		imageTargety[1] = 156;
		imageTargetx[2] = 440;
		imageTargety[2] = 203;
		imageTargetx[3] = 337;
		imageTargety[3] = 244;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 8)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 383;
		imageTargety[0] = 145;
		imageTargetx[1] = 279;
		imageTargety[1] = 71;
		imageTargetx[2] = 409;
		imageTargety[2] = 274;
		imageTargetx[3] = 423;
		imageTargety[3] = 34;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 9)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 451;
		imageTargety[0] = 177;
		imageTargetx[1] = 394;
		imageTargety[1] = 194;
		imageTargetx[2] = 274;
		imageTargety[2] = 219;
		imageTargetx[3] = 360;
		imageTargety[3] = 107;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 10)//set all levels 3-6 targets // REDO DOG 10 TEN
	{	
		imageTargetx[0] = 363;
		imageTargety[0] = 36;
		imageTargetx[1] = 271;
		imageTargety[1] = 212;
		imageTargetx[2] = 365;
		imageTargety[2] = 264;
		imageTargetx[3] = 440;
		imageTargety[3] = 151;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 11)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 418;
		imageTargety[0] = 41;
		imageTargetx[1] = 425;
		imageTargety[1] = 79;
		imageTargetx[2] = 298;
		imageTargety[2] = 298;
		imageTargetx[3] = 252;
		imageTargety[3] = 219;
		imageTargetx[4] = 278;
		imageTargety[4] = 132;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 12)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 353;
		imageTargety[0] = 108;
		imageTargetx[1] = 249;
		imageTargety[1] = 48;
		imageTargetx[2] = 356;
		imageTargety[2] = 168;
		imageTargetx[3] = 429;
		imageTargety[3] = 180;
		imageTargetx[4] = 393;
		imageTargety[4] = 43;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 13)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 471;
		imageTargety[0] = 177;
		imageTargetx[1] = 351;
		imageTargety[1] = 191;
		imageTargetx[2] = 305;
		imageTargety[2] = 286;
		imageTargetx[3] = 430;
		imageTargety[3] = 165;
		imageTargetx[4] = 299;
		imageTargety[4] = 98;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 14)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 471;
		imageTargety[0] = 98;
		imageTargetx[1] = 352;
		imageTargety[1] = 92;
		imageTargetx[2] = 250;
		imageTargety[2] = 135;
		imageTargetx[3] = 253;
		imageTargety[3] = 306;
		imageTargetx[4] = 429;
		imageTargety[4] = 293;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 15)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 376;
		imageTargety[0] = 56;
		imageTargetx[1] = 450;
		imageTargety[1] = 138;
		imageTargetx[2] = 340;
		imageTargety[2] = 310;
		imageTargetx[3] = 247;
		imageTargety[3] = 155;
		imageTargetx[4] = 394;
		imageTargety[4] = 162;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 16)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 356;
		imageTargety[0] = 33;
		imageTargetx[1] = 410;
		imageTargety[1] = 232;
		imageTargetx[2] = 248;
		imageTargety[2] = 257;
		imageTargetx[3] = 323;
		imageTargety[3] = 64;
		imageTargetx[4] = 471;
		imageTargety[4] = 182;
		imageTargetx[5] = 323;
		imageTargety[5] = 147;
	}
	if(levelSelected == 17)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 249;
		imageTargety[0] = 254;
		imageTargetx[1] = 385;
		imageTargety[1] = 158;
		imageTargetx[2] = 379;
		imageTargety[2] = 83;
		imageTargetx[3] = 370;
		imageTargety[3] = 244;
		imageTargetx[4] = 418;
		imageTargety[4] = 184;
		imageTargetx[5] = 472;
		imageTargety[5] = 64;
	}
	if(levelSelected == 18)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 290;
		imageTargety[0] = 222;
		imageTargetx[1] = 364;
		imageTargety[1] = 295;
		imageTargetx[2] = 464;
		imageTargety[2] = 103;
		imageTargetx[3] = 272;
		imageTargety[3] = 34;
		imageTargetx[4] = 425;
		imageTargety[4] = 52;
		imageTargetx[5] = 251;
		imageTargety[5] = 81;
	}
	if(levelSelected == 19)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 350;
		imageTargety[0] = 169;
		imageTargetx[1] = 375;
		imageTargety[1] = 164;
		imageTargetx[2] = 256;
		imageTargety[2] = 216;
		imageTargetx[3] = 471;
		imageTargety[3] = 160;
		imageTargetx[4] = 469;
		imageTargety[4] = 293;
		imageTargetx[5] = 369;
		imageTargety[5] = 115;
	}
	if(levelSelected == 20)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 380;
		imageTargety[0] = 139;
		imageTargetx[1] = 322;
		imageTargety[1] = 297;
		imageTargetx[2] = 329;
		imageTargety[2] = 153;
		imageTargetx[3] = 275;
		imageTargety[3] = 76;
		imageTargetx[4] = 310;
		imageTargety[4] = 47;
		imageTargetx[5] = 260;
		imageTargety[5] = 179;
	}
}
void game::pack4Targets()
{
	if(levelSelected == 1)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 357;
		imageTargety[0] = 137;
		imageTargetx[1] = 282;
		imageTargety[1] = 223;
		imageTargetx[2] = 467;
		imageTargety[2] = 307;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 2)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 395;
		imageTargety[0] = 164;
		imageTargetx[1] = 281;
		imageTargety[1] = 195;
		imageTargetx[2] = 247;
		imageTargety[2] = 158;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 3)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 443;
		imageTargety[0] = 171;
		imageTargetx[1] = 402;
		imageTargety[1] = 35;
		imageTargetx[2] = 288;
		imageTargety[2] = 113;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 4)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 280;
		imageTargety[0] = 306;
		imageTargetx[1] = 389;
		imageTargety[1] = 68;
		imageTargetx[2] = 411;
		imageTargety[2] = 248;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 5)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 459;
		imageTargety[0] = 259;
		imageTargetx[1] = 324;
		imageTargety[1] = 153;
		imageTargetx[2] = 366;
		imageTargety[2] = 309;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 6)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 259;
		imageTargety[0] = 114;
		imageTargetx[1] = 254;
		imageTargety[1] = 155;
		imageTargetx[2] = 332;
		imageTargety[2] = 196;
		imageTargetx[3] = 259;
		imageTargety[3] = 302;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 7)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 383;
		imageTargety[0] = 206;
		imageTargetx[1] = 412;
		imageTargety[1] = 309;
		imageTargetx[2] = 446;
		imageTargety[2] = 133;
		imageTargetx[3] = 293;
		imageTargety[3] = 65;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 8)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 334;
		imageTargety[0] = 88;
		imageTargetx[1] = 307;
		imageTargety[1] = 288;
		imageTargetx[2] = 353;
		imageTargety[2] = 157;
		imageTargetx[3] = 432;
		imageTargety[3] = 216;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 9)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 358;
		imageTargety[0] = 187;
		imageTargetx[1] = 325;
		imageTargety[1] = 292;
		imageTargetx[2] = 404;
		imageTargety[2] = 308;
		imageTargetx[3] = 441;
		imageTargety[3] = 107;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 10)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 413;
		imageTargety[0] = 123;
		imageTargetx[1] = 251;
		imageTargety[1] = 100;
		imageTargetx[2] = 292;
		imageTargety[2] = 307;
		imageTargetx[3] = 422;
		imageTargety[3] = 284;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 11)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 332;
		imageTargety[0] = 280;
		imageTargetx[1] = 407;
		imageTargety[1] = 245;
		imageTargetx[2] = 444;
		imageTargety[2] = 236;
		imageTargetx[3] = 321;
		imageTargety[3] = 141;
		imageTargetx[4] = 283;
		imageTargety[4] = 89;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 12)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 298;
		imageTargety[0] = 60;
		imageTargetx[1] = 294;
		imageTargety[1] = 275;
		imageTargetx[2] = 432;
		imageTargety[2] = 164;
		imageTargetx[3] = 335;
		imageTargety[3] = 176;
		imageTargetx[4] = 305;
		imageTargety[4] = 93;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 13)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 288;
		imageTargety[0] = 155;
		imageTargetx[1] = 253;
		imageTargety[1] = 312;
		imageTargetx[2] = 342;
		imageTargety[2] = 288;
		imageTargetx[3] = 405;
		imageTargety[3] = 237;
		imageTargetx[4] = 378;
		imageTargety[4] = 105;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 14)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 310;
		imageTargety[0] = 241;
		imageTargetx[1] = 467;
		imageTargety[1] = 287;
		imageTargetx[2] = 356;
		imageTargety[2] = 146;
		imageTargetx[3] = 348;
		imageTargety[3] = 84;
		imageTargetx[4] = 301;
		imageTargety[4] = 35;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 15)//set all levels 3-6 targets// SIX DIFF NEEDS FIVEEEEEEEEEEEEEEEE
	{	
		imageTargetx[0] = 316;
		imageTargety[0] = 137;
		imageTargetx[1] = 377;
		imageTargety[1] = 49;
		imageTargetx[2] = 285;
		imageTargety[2] = 212;
		imageTargetx[3] = 328;
		imageTargety[3] = 69;
		imageTargetx[4] = 458;
		imageTargety[4] = 154;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 16)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 252;
		imageTargety[0] = 206;
		imageTargetx[1] = 345;
		imageTargety[1] = 177;
		imageTargetx[2] = 473;
		imageTargety[2] = 231;
		imageTargetx[3] = 318;
		imageTargety[3] = 41;
		imageTargetx[4] = 304;
		imageTargety[4] = 213;
		imageTargetx[5] = 386;
		imageTargety[5] = 59;
	}
	if(levelSelected == 17)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 458;
		imageTargety[0] = 308;
		imageTargetx[1] = 373;
		imageTargety[1] = 308;
		imageTargetx[2] = 410;
		imageTargety[2] = 219;
		imageTargetx[3] = 415;
		imageTargety[3] = 164;
		imageTargetx[4] = 345;
		imageTargety[4] = 84;
		imageTargetx[5] = 416;
		imageTargety[5] = 39;
	}
	if(levelSelected == 18)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 383;
		imageTargety[0] = 246;
		imageTargetx[1] = 250;
		imageTargety[1] = 194;
		imageTargetx[2] = 352;
		imageTargety[2] = 229;
		imageTargetx[3] = 469;
		imageTargety[3] = 195;
		imageTargetx[4] = 444;
		imageTargety[4] = 77;
		imageTargetx[5] = 272;
		imageTargety[5] = 97;
	}
	if(levelSelected == 19)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 363;
		imageTargety[0] = 160;
		imageTargetx[1] = 416;
		imageTargety[1] = 193;
		imageTargetx[2] = 467;
		imageTargety[2] = 304;
		imageTargetx[3] = 454;
		imageTargety[3] = 142;
		imageTargetx[4] = 325;
		imageTargety[4] = 103;
		imageTargetx[5] = 320;
		imageTargety[5] = 40;
	}
	if(levelSelected == 20)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 406;
		imageTargety[0] = 123;
		imageTargetx[1] = 438;
		imageTargety[1] = 289;
		imageTargetx[2] = 469;
		imageTargety[2] = 221;
		imageTargetx[3] = 282;
		imageTargety[3] = 215;
		imageTargetx[4] = 252;
		imageTargety[4] = 167;
		imageTargetx[5] = 449;
		imageTargety[5] = 49;
	}
}
void game::pack5Targets()
{
	if(levelSelected == 1)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 284;
		imageTargety[0] = 41;
		imageTargetx[1] = 447;
		imageTargety[1] = 43;
		imageTargetx[2] = 452;
		imageTargety[2] = 142;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 2)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 262;
		imageTargety[0] = 143;
		imageTargetx[1] = 372;
		imageTargety[1] = 141;
		imageTargetx[2] = 313;
		imageTargety[2] = 265;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 3)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 457;
		imageTargety[0] = 86;
		imageTargetx[1] = 441;
		imageTargety[1] = 169;
		imageTargetx[2] = 445;
		imageTargety[2] = 262;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 4)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 428;
		imageTargety[0] = 39;
		imageTargetx[1] = 317;
		imageTargety[1] = 214;
		imageTargetx[2] = 282;
		imageTargety[2] = 291;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 5)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 359;
		imageTargety[0] = 122;
		imageTargetx[1] = 413;
		imageTargety[1] = 260;
		imageTargetx[2] = 280;
		imageTargety[2] = 42;
		imageTargetx[3] = -800;
		imageTargety[3] = -800;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 6)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 282;
		imageTargety[0] = 154;
		imageTargetx[1] = 448;
		imageTargety[1] = 161;
		imageTargetx[2] = 446;
		imageTargety[2] = 62;
		imageTargetx[3] = 280;
		imageTargety[3] = 277;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 7)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 264;
		imageTargety[0] = 102;
		imageTargetx[1] = 284;
		imageTargety[1] = 33;
		imageTargetx[2] = 379;
		imageTargety[2] = 31;
		imageTargetx[3] = 441;
		imageTargety[3] = 36;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 8)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 307;
		imageTargety[0] = 120;
		imageTargetx[1] = 365;
		imageTargety[1] = 188;
		imageTargetx[2] = 437;
		imageTargety[2] = 146;
		imageTargetx[3] = 440;
		imageTargety[3] = 194;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 9)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 314;
		imageTargety[0] = 32;
		imageTargetx[1] = 330;
		imageTargety[1] = 93;
		imageTargetx[2] = 411;
		imageTargety[2] = 60;
		imageTargetx[3] = 324;
		imageTargety[3] = 189;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 10)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 349;
		imageTargety[0] = 114;
		imageTargetx[1] = 379;
		imageTargety[1] = 56;
		imageTargetx[2] = 383;
		imageTargety[2] = 178;
		imageTargetx[3] = 447;
		imageTargety[3] = 72;
		imageTargetx[4] = -800;
		imageTargety[4] = -800;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 11)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 269;
		imageTargety[0] = 40;
		imageTargetx[1] = 265;
		imageTargety[1] = 88;
		imageTargetx[2] = 331;
		imageTargety[2] = 39;
		imageTargetx[3] = 392;
		imageTargety[3] = 40;
		imageTargetx[4] = 441;
		imageTargety[4] = 56;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 12)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 279;
		imageTargety[0] = 142;
		imageTargetx[1] = 351;
		imageTargety[1] = 146;
		imageTargetx[2] = 415;
		imageTargety[2] = 60;
		imageTargetx[3] = 442;
		imageTargety[3] = 152;
		imageTargetx[4] = 453;
		imageTargety[4] = 225;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 13)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 347;
		imageTargety[0] = 83;
		imageTargetx[1] = 362;
		imageTargety[1] = 168;
		imageTargetx[2] = 370;
		imageTargety[2] = 237;
		imageTargetx[3] = 466;
		imageTargety[3] = 178;
		imageTargetx[4] = 449;
		imageTargety[4] = 240;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 14)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 271;
		imageTargety[0] = 186;
		imageTargetx[1] = 283;
		imageTargety[1] = 260;
		imageTargetx[2] = 362;
		imageTargety[2] = 254;
		imageTargetx[3] = 405;
		imageTargety[3] = 241;
		imageTargetx[4] = 440;
		imageTargety[4] = 200;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 15)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 253;
		imageTargety[0] = 222;
		imageTargetx[1] = 287;
		imageTargety[1] = 45;
		imageTargetx[2] = 397;
		imageTargety[2] = 33;
		imageTargetx[3] = 356;
		imageTargety[3] = 112;
		imageTargetx[4] = 436;
		imageTargety[4] = 153;
		imageTargetx[5] = -800;
		imageTargety[5] = -800;
	}
	if(levelSelected == 16)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 267;
		imageTargety[0] = 77;
		imageTargetx[1] = 263;
		imageTargety[1] = 194;
		imageTargetx[2] = 304;
		imageTargety[2] = 280;
		imageTargetx[3] = 389;
		imageTargety[3] = 38;
		imageTargetx[4] = 469;
		imageTargety[4] = 84;
		imageTargetx[5] = 438;
		imageTargety[5] = 283;
	}
	if(levelSelected == 17)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 287;
		imageTargety[0] = 43;
		imageTargetx[1] = 339;
		imageTargety[1] = 149;
		imageTargetx[2] = 415;
		imageTargety[2] = 61;
		imageTargetx[3] = 419;
		imageTargety[3] = 152;
		imageTargetx[4] = 448;
		imageTargety[4] = 230;
		imageTargetx[5] = 462;
		imageTargety[5] = 296;
	}
	if(levelSelected == 18)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 263;
		imageTargety[0] = 106;
		imageTargetx[1] = 263;
		imageTargety[1] = 169;
		imageTargetx[2] = 360;
		imageTargety[2] = 64;
		imageTargetx[3] = 369;
		imageTargety[3] = 138;
		imageTargetx[4] = 405;
		imageTargety[4] = 97;
		imageTargetx[5] = 407;
		imageTargety[5] = 194;
	}
	if(levelSelected == 19)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 262;
		imageTargety[0] = 38;
		imageTargetx[1] = 260;
		imageTargety[1] = 124;
		imageTargetx[2] = 343;
		imageTargety[2] = 44;
		imageTargetx[3] = 354;
		imageTargety[3] = 130;
		imageTargetx[4] = 456;
		imageTargety[4] = 38;
		imageTargetx[5] = 456;
		imageTargety[5] = 127;
	}
	if(levelSelected == 20)//set all levels 3-6 targets
	{	
		imageTargetx[0] = 271;
		imageTargety[0] = 188;
		imageTargetx[1] = 424;
		imageTargety[1] = 212;
		imageTargetx[2] = 387;
		imageTargety[2] = 111;
		imageTargetx[3] = 273;
		imageTargety[3] = 103;
		imageTargetx[4] = 465;
		imageTargety[4] = 56;
		imageTargetx[5] = 475;
		imageTargety[5] = 150;
	}
}